package model

import (
	"github.com/jackc/pgtype"
)

type BasketModel struct {
	ID        string           `db:"id"`
	CreatedAt pgtype.Timestamp `db:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at"`
}

type BasketItemModel struct {
	ID        string           `db:"id"`
	BasketID  string           `db:"basket_id"`
	ProductID string           `db:"product_id"`
	Quantity  int              `db:"quantity"`
	Price     float64          `db:"price"`
	CreatedAt pgtype.Timestamp `db:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at"`
}
